package fi.jumi.core.events.testClassListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.eventizers.EventToString;
import fi.jumi.api.drivers.TestId;
import fi.jumi.core.runners.TestClassListener;
import fi.jumi.core.runs.RunId;
import java.io.Serializable;

public class OnFailureEvent implements Event<TestClassListener>, Serializable {

    private final RunId arg0;
    private final TestId arg1;
    private final Throwable arg2;

    public OnFailureEvent(RunId arg0, TestId arg1, Throwable arg2) {
        this.arg0 = arg0;
        this.arg1 = arg1;
        this.arg2 = arg2;
    }

    public void fireOn(TestClassListener target) {
        target.onFailure(arg0, arg1, arg2);
    }

    public String toString() {
        return EventToString.format("TestClassListener", "onFailure", arg0, arg1, arg2);
    }
}
